package tunes

class SongCollection {
/*
    private class Song(val name: String, val tune: Tune)

    private class TreeNode(var song: Song, var left: TreeNode? = null, var right: TreeNode? = null)

    private var root: TreeNode? = null

    fun addSong(name: String, tune: Tune) {
        TODO("Implement as part of Question 6")
    }

    fun getTune(name: String): Tune {
        TODO("Implement as part of Question 6")
    }

    fun getSongNames(): List<String> {
        TODO("Implement as part of Question 6")
    }
*/
}
